/*
	MiniGUI ComboBox Image Property Demo
	(c) 2008 Roberto Lopez
*/

#Include "minigui.ch"
// #include "common.ch"

/*

- 'Image' Property specify a character array containing image file names or 
resource names.

When you add an item, must specify the image array index number (zero based)
and the text associated with it.

When adding items at startup you must to use a two dimensional array.
This array must have one row for each combo item and two columns.
The first column must contain the image index and the second the text for 
the item.

When using the additem or Item properties you must use a single array 
containing two elements. The first, the image index item and the second, 
the text for the item. 

When you retrieve the item, using the 'item' property, it will return a two
elwments array containing the image index and the text of the item.

When 'Image' and 'ItemSource' properties are used simultaneously, 
'ItemSource' must be specified as a list containing two field names.
The first, the image index for the items, the second, the item text.

'Sort' and 'Image' can't be used simultaneously.

- 'DroppedWidth' property is used to set the dropdown list in a combobox control.
'DroppedWidth' can't be less that ComboBox width.

- OnDropDown Event will be executed when the user attempt to open dropdown list

- OnCloseUp Event will be executed when the user closes the dropdown list

*/

#include 'minigui.ch'
#include 'i_xcombobox.ch'
#include 'adodb.ch'

#xtranslate <w> . <c> . <p:Update> => _DataComboRefreshAdo(<"w">,<"c">)
#xtranslate <w> . <c> . <p:GetValue> => _GetValueAdo( <"w"> , <"c"> )

set procedure to h_xcombo.prg

Function Main() 		
	Local aImages := { '00.bmp' ,'01.bmp' , '02.bmp' , '03.bmp' , '04.bmp' , '05.bmp' , '06.bmp' , '07.bmp' , '08.bmp' , '09.bmp','00.bmp' ,'01.bmp' , '02.bmp' , '03.bmp' , '04.bmp' , '05.bmp' , '06.bmp'  }
	Local oConn, oRs

	SET DATE BRITISH
	SET CENTURY ON
		
	oConn := TOleauto():new('ADODB.Connection')
	oConn:ConnectionString:= "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=bd1.mdb;User Id=admin;"
	oConn:Open()
	
	oRs = TOleauto():New('ADODB.Recordset')
	oRs:CursorLocation= adUseClient
	oRs:Open( "SELECT * FROM Sucursal", oConn, adOpenDynamic, adLockOptimistic )
	
	DEFINE WINDOW Form_1			;
		AT 0,0				;
		WIDTH 500			;  
		HEIGHT 120			;
		TITLE "Exemplos ComboBox New"	;		
		MAIN				;      
		NOMAXIMIZE			;
		NOSIZE				;
		ON RELEASE ( oRs:close(), oConn:close() )
	
		DEFINE MAIN MENU
			DEFINE POPUP '&Test'
				MENUITEM 'Get Combo_1 Value' ACTION Msginfo( Str( Form_1.Combo_1.GetValue ) )
				MENUITEM 'Refresh Combo_1' ACTION Form_1.Combo_1.Update
				SEPARATOR
				MENUITEM '&Exit' ACTION Form_1.release
			END POPUP
		END MENU


		@ 30, 10 COMBOBOXADO Combo_1	;
			RECORDSET oRs 				;
			ITEMSOURCE 'Id,Nombre'	; 
			VALUESOURCE 'Id'			; 
			VALUE 5						;
			WIDTH 200					;
			HEIGHT 100					;
			IMAGE aImages 				;
			DROPPEDWIDTH 500			;
			ON ENTER msginfo('enter')	;
			ON DROPDOWN PlayBeep()		;
			ON CLOSEUP PlayAsterisk()		
			
		define button btn_1
			row 30
			col 220
			caption "GetValue"
			action MsgInfo( str(form_1.combo_1.Getvalue) )
		end button
			
	END WINDOW		

	CENTER WINDOW   Form_1

	ACTIVATE WINDOW Form_1

Return

Procedure CloseTables()

	Use

Return
